Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Objekt auf einen festen Koordinatenpunkt verschieben

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Objekt auf einen festen Koordinatenpunkt verschieben (558 mal gelesen)
ichCADnix
Mitglied
Display Designer

Sehen Sie sich das Profil von ichCADnix an!   Senden Sie eine Private Message an ichCADnix  Schreiben Sie einen Gästebucheintrag für ichCADnix

Beiträge: 2
Registriert: 12.11.2008

Win XP / Vista
AutoCAD 9.0 - 2009
Inventor 2009
uvm

erstellt am: 12. Nov. 2008 14:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

moin moin,
ich war früher schonmal hier unterwegs, und habe einige von euch
auch beim Augi CAD Camp im März getroffen.

ich habe ja schon einiges geschrieben und programmiert, aber ich habe
noch nie feste Koordinaten eingesetzt  und grübel hier die ganze Zeit rum:

hier mal ein Test...

Code:

(defun C:test()

(princ "\nObjekt wählen")
(setq ob1 (ssget))
(setq P01 (getpoint "\nBasispunkt:"))
(command "_move" ob1 P01 0,0,0 "")
(princ)
)


ich hier nur ein gewähltes Objekt auf die Koordinaten 0,0,0 schieben,
das geht so natürlich nicht, gent mir mal nen kleinen Anschupser
damit ich weiter komm 

mfg
Toni

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP


Ex-Mitglied

erstellt am: 12. Nov. 2008 15:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat

Hi Toni,

(command "_move" ob1 "" P01 "0,0,0")

Und wenn Du von Benutzerkoordinatensystem unabhängig sein willst, dann

(command "_move" ob1 "" P01 "*0,0,0")

- alfred -

[Diese Nachricht wurde von a.n. am 12. Nov. 2008 editiert.]

Dorfy
Mitglied
Double-Dipl.-Ing. Bleistiftanspitzer


Sehen Sie sich das Profil von Dorfy an!   Senden Sie eine Private Message an Dorfy  Schreiben Sie einen Gästebucheintrag für Dorfy

Beiträge: 893
Registriert: 21.07.2006

AutoCad2007, ProE, HiCad

erstellt am: 12. Nov. 2008 15:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ichCADnix 10 Unities + Antwort hilfreich

Hi,
Punkt sind Listen, in der Hilfe findest du Funktionen zum bearbeiten...

(defun C:test (/ ob1 p01 p00)
  (princ "\nObjekt wählen")
  (setq ob1 (ssget))
  (setq P01 (getpoint "\nBasispunkt:"))
  (setq p00 '(0.0 0.0 0.0));-->übergabe als 3D-Liste
  (command "_move" ob1 "" P01 p00)
  (princ)
)
mfg heiko

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

ichCADnix
Mitglied
Display Designer

Sehen Sie sich das Profil von ichCADnix an!   Senden Sie eine Private Message an ichCADnix  Schreiben Sie einen Gästebucheintrag für ichCADnix

Beiträge: 2
Registriert: 12.11.2008

Win XP / Vista
AutoCAD 9.0 - 2009
Inventor 2009
uvm

erstellt am: 13. Nov. 2008 07:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Guten Morgen,

vielen Dank Euch beiden...

dann werde ich mal weiter schreiben

bis später
Toni

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz